<!DOCTYPE html>
<html>
<head>
   <title>How to fetch records from PostgreSQL using jQuery AJAX PHP</title>

   <!-- Meta -->
   <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
   <meta charset="utf-8">
   
</head>
<body>
   <input type='text' id='search' name='search' placeholder='Enter userid 1-7'>
   <input type='button' value='Search' id='but_search'>
   <br/>
   <input type='button' value='Fetch all records' id='but_fetchall'>

   <!-- Table -->
   <table border='1' id='userTable' style='border-collapse: collapse;'>
     <thead>
       <tr>
         <th>ID</th>
         <th>Username</th>
         <th>Name</th>
         <th>Email</th>
       </tr>
     </thead>
     <tbody></tbody>
   </table>

   <!-- Script -->
   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

   <script type='text/javascript'>
   
   $(document).ready(function(){

      // Fetch all records
      $('#but_fetchall').click(function(){

         // AJAX GET request
         $.ajax({
           url: 'ajaxfile.php',
           type: 'post',
           data: {request: 'fetchall'},
           dataType: 'json',
           success: function(response){

              createRows(response);

           }
         });
      });

      // Search by userid
      $('#but_search').click(function(){
         var userid = Number($('#search').val().trim());

         if(userid > 0){

           // AJAX POST request
           $.ajax({
              url: 'ajaxfile.php',
              type: 'post',
              data: {request: 'fetchbyid', userid: userid},
              dataType: 'json',
              success: function(response){

                 createRows(response);

              }
           });
         }

      });

   });

   // Create table rows
   function createRows(response){
      var len = 0;
      $('#userTable tbody').empty(); // Empty <tbody>
      if(response != null){
         len = response.length;
      }

      if(len > 0){
        for(var i=0; i<len; i++){
           var id = response[i].id;
           var username = response[i].username;
           var fullname = response[i].fullname;
           var email = response[i].email;

           var tr_str = "<tr>" +
             "<td align='center'>" + id + "</td>" +
             "<td align='center'>" + username + "</td>" +
             "<td align='center'>" + fullname + "</td>" +
             "<td align='center'>" + email + "</td>" +
           "</tr>";

           $("#userTable tbody").append(tr_str);
        }
      }else{
         var tr_str = "<tr>" +
           "<td align='center' colspan='4'>No record found.</td>" +
         "</tr>";

         $("#userTable tbody").append(tr_str);
      }
   } 
   </script>
</body>
</html>